#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
import csv

""" Este módulo agarra un csv exportado de Wireshark y lo formatea para que
    ocupe menos ancho, sacándolo por stdout.

    Autor: Marcelo Fernández
"""

template_ip = """Paquete Nro: %s - Tiempo: %s
IP Origen: %s:%s -> IP Destino: %s:%s
Protocolo: %s
Descripción: %s
"""

template_mac = """Paquete Nro: %s - Tiempo: %s
Mac Origen: %s   -> Mac Destino: %s
IP Origen: %s:%s -> IP Destino: %s:%s
Protocolo: %s
Descripción: %s
"""

TEMPLATE = template_ip

if __name__ == '__main__':
    if len(sys.argv) > 1:
        # Tengo un parámetro, debe ser el archivo
        archivo_csv = sys.argv[1]
    else:
        print "Modo de uso: python parser.py archivo_wireshark.csv"
        sys.exit(1)
    
    try:
        f = open(archivo_csv,"rb")
    except IOError:
        print "Archivo %s no encontrado" % archivo_csv
        sys.exit(2)

    lector_csv = csv.reader(f)
    
    """ Obtengo los títulos y luego, registro por registro, voy imprimiendo """
    titulos = lector_csv.next()
    for l in lector_csv:
        print TEMPLATE % tuple(l)

